ApiRoleConfigGroup (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiRoleConfigGroup

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiRoleConfigGroup

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiRoleConfigGroup
      extends Object

  A role config group contains roles of the same role type sharing the same configuration. While each role has to belong to a group, a role config group may be empty. There exists a default role config group for each role type. Default groups cannot be removed nor created. The name of a role config group is unique and cannot be changed. The configuration of individual roles may be overridden on role level.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiRoleConfigGroup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiRoleConfigGroup` | `base(Boolean base)`
    `ApiRoleConfigGroup` | `config(ApiConfigList config)`
    `ApiRoleConfigGroup` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `Boolean` | `getBase()` Readonly.
    `ApiConfigList` | `getConfig()` The configuration for this group.
    `String` | `getDisplayName()` The display name of this group.
    `String` | `getName()` Readonly.
    `String` | `getRoleType()` Readonly.
    `ApiServiceRef` | `getServiceRef()` Readonly.
    `int` | `hashCode()`
    `ApiRoleConfigGroup` | `name(String name)`
    `ApiRoleConfigGroup` | `roleType(String roleType)`
    `ApiRoleConfigGroup` | `serviceRef(ApiServiceRef serviceRef)`
    `void` | `setBase(Boolean base)`
    `void` | `setConfig(ApiConfigList config)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setName(String name)`
    `void` | `setRoleType(String roleType)`
    `void` | `setServiceRef(ApiServiceRef serviceRef)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiRoleConfigGroup

          public ApiRoleConfigGroup()

  - ### Method Detail

    - #### name

          public ApiRoleConfigGroup name(String name)

    - #### getName

          public String getName()

      Readonly. The unique name of this role config group.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### roleType

          public ApiRoleConfigGroup roleType(String roleType)

    - #### getRoleType

          public String getRoleType()

      Readonly. The type of the roles in this group.
      Returns:
        roleType

    - #### setRoleType

          public void setRoleType(String roleType)

    - #### base

          public ApiRoleConfigGroup base(Boolean base)

    - #### getBase

          public Boolean getBase()

      Readonly. Indicates whether this is a base group.
      Returns:
        base

    - #### setBase

          public void setBase(Boolean base)

    - #### config

          public ApiRoleConfigGroup config(ApiConfigList config)

    - #### getConfig

          public ApiConfigList getConfig()

      The configuration for this group. Optional.
      Returns:
        config

    - #### setConfig

          public void setConfig(ApiConfigList config)

    - #### displayName

          public ApiRoleConfigGroup displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      The display name of this group.
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### serviceRef

          public ApiRoleConfigGroup serviceRef(ApiServiceRef serviceRef)

    - #### getServiceRef

          public ApiServiceRef getServiceRef()

      Readonly. The service reference (service name and cluster name) of this group.
      Returns:
        serviceRef

    - #### setServiceRef

          public void setServiceRef(ApiServiceRef serviceRef)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.